var strPar; 
var myTT = ['x','A','B','C','D','E','F','G','a','b','c','d','e','f','g','z','A,','B,','C,','D,','E,','F,','G,','A,,','B,,','C,,','D,,','E,,','F,,','G,,','a\'','b\'','c\'','d\'','e\'','f\'','g\'','A,,,','B,,,','C,,,','D,,,','E,,,','F,,,','G,,,'];
var myInput = ['8\\.\\.','4\\.\\.','2\\.\\.','1\\.\\.','32\\.','16\\.','8\\.','4\\.','2\\.','1\\.','64','32','16','8','4','2','1111','11','1'];
var myOutput = ['xnlap','7','56/4','xswlo','3/4','6/4','3','6','36/3','96/4','9/36','3/6','4/4','6/3','4','32/4','64','32','16'];


function ConvertMCMtoABC(str)
{
 var i, y, oldStr, newStr, strPar;
 
  strPar = str;

  for (y = 0; y < myTT.length; y++)
  {
    for (i = 0; i < myInput.length; i++)
    {
		  oldStr = myTT[y] + myInput[i];
			newStr = myTT[y] + myOutput[i];
      strPar = strPar.replace(new RegExp( oldStr, "g" ), newStr);
	  }
  }  

	strPar = strPar.replace(new RegExp( "xnlap", "g" ), "7/2");
	strPar = strPar.replace(new RegExp( "xswlo", "g" ), "28");

  strPar = strPar.replace( "mcm_default", "1/16");
	
	return strPar;
	
}

function renderAbc(div, abc, scale) 
{
 
 document.getElementById(div).innerHTML = "";
 var tunebook = new AbcTuneBook(abc);
 
 var abcParser = new AbcParse({});
 abcParser.parse(tunebook.tunes[0].abc);
 var tune = abcParser.getTune();
 var abc_output = document.getElementById(div);
 var paper = Raphael(abc_output, 800, 400);
 
 var printer = new ABCPrinter(paper, { scale: scale });
 printer.printABC(tune);
 
}



